com.corticon.rulesemf.viewtestmodel.testsheet.treeset

## Interface TestAssociationImbedded

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, TestAssociation, TestNode, ValidatableObject

      public interface TestAssociationImbedded
      extends TestAssociation

  A representation of the model object 'Test Association Imbedded'.

  The following features are supported:

  - `EClass`
  See Also:
    `TreesetPackage.getTestAssociationImbedded()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EClass` | `getEClass()` Returns the value of the 'EClass' reference
    `void` | `setEClass(org.eclipse.emf.ecore.EClass value)` Sets the value of the '`EClass`' reference

    - ### Methods inherited from interface com.corticon.rulesemf.viewtestmodel.testsheet.treeset.TestAssociation

      `getEReference, setEReference`

    - ### Methods inherited from interface com.corticon.rulesemf.viewtestmodel.testsheet.treeset.TestNode

      `getBackupInfo, getChildren, getComments, getDatabaseID, getIssue, getMessageItem, getName, getNodeID, getParent, getReferencingHrefs, getSource, isExpanded, isInvalid, isManuallyCreated, isNewOrModified, isPassed, setDatabaseID, setExpanded, setInvalid, setIssue, setManuallyCreated, setName, setNewOrModified, setNodeID, setParent, setPassed, setSource`

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getEClass

          org.eclipse.emf.ecore.EClass getEClass()

      Returns the value of the 'EClass' reference.

      If the meaning of the 'EClass' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'EClass' reference.
      See Also:
        `setEClass(EClass)`, `TreesetPackage.getTestAssociationImbedded_EClass()`

    - #### setEClass

          void setEClass(org.eclipse.emf.ecore.EClass value)

      Sets the value of the '`EClass`' reference.
      Parameters:
        `value` - the new value of the 'EClass' reference.
      See Also:
        `getEClass()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.